# PetscMapSetLocalSize

Sets the number of elements associated with this processor.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode PetscMapSetLocalSize(PetscMap m,PetscInt n)

Not Collective

### Input Parameters

| m | - the map object
| n | - the local size

### See Also

PetscMapSetSize(), PetscMapGetLocalRange(), PetscMapGetGlobalRange()

Level:developer
Location:src/vec/interface/map.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages